Public Class ParametresAPI

    Private lReply As Integer
    Private serveur As New APILib.Api

    Public Shared Sub main()

        Dim frm As New GrabForm

        frm.Show()
        System.Windows.Forms.Application.Run()

    End Sub

    'Proprit d'initialisation du dialogue API
    Public Property InitialiseDialogue() As String

        Get
            Return lReply.ToString
        End Get

        Set(ByVal sValue As String)
            lReply = serveur.Initialise(sValue)
            If lReply <> 0 Then
                Throw New Exception("Problme d'initialisation")
            End If
        End Set

    End Property

    Public WriteOnly Property Grab(ByVal shXoff As Short, ByVal shYoff As Short, ByVal shWidth As Short, ByVal shHeight As Short, ByVal shReduction As Short, ByVal lpszFilename As String) As String

        Set(ByVal sValue As String)
            lReply = serveur.Grab(shXoff, shYoff, shWidth, shHeight, shReduction, lpszFilename)
            If lReply <> 0 Then
                Me.Erreur(lReply)
            End If
        End Set

    End Property

    'Fonction qui classe les erreurs
    Public Sub Erreur(ByVal lReply As Long)

        Select Case lReply
            Case 1000
                Throw New Exception("Impossible de transcrire un paramtre en identificateur")
            Case 1001
                Throw New Exception("Impossible de rcuprer le paramtre analogique")
            Case 1002
                Throw New Exception("Impossible de rcuprer le paramtre numrique")
            Case 1003
                Throw New Exception("Le paramtre spcifi n'est ni analogique, ni numrique")
            Case 1004
                Throw New Exception("Impossible de transcrire un paramtre en identificateur")
            Case 1005
                Throw New Exception("Impossible d'accder au paramtre numrique")
            Case 1006
                Throw New Exception("Impossible d'accder au paramtre analogique")
            Case 1009
                Throw New Exception("La valeur transmise n'est pas au bon format")
            Case 1011
                Throw New Exception("Impossible de transcrire une commande en identificateur")
            Case 1012
                Throw New Exception("Impossible d'excuter une commande")
            Case 1013
                Throw New Exception("Impossible d'excuter un fichier macro")
            Case 1014
                Throw New Exception("Impossible d'excuter une macro depuis la librairie")
            Case 1015
                Throw New Exception("Commande non reconnue")
            Case 1016
                Throw New Exception("Echec de la capture")
            Case 1017
                Throw New Exception("Impossible d'obtenir la position platine")
            Case 1018
                Throw New Exception("Impossible de dplacer la platine")
            Case 1019
                Throw New Exception("API non initialis")
            Case 1022
                Throw New Exception("Impossible de rcuprer les limites")
            Case Else
                Throw New Exception("Problme API")
        End Select

    End Sub

End Class
