'Classe du code mtier
Public Class ParametresAPI

    'champs privs de la classe
    Private lReply As Integer
    Private serveur As New APILib.Api
    Private oLimitInf, oLimitSup As Object

    'Fonction lance lors de l'ouverture de l'application
    Public Shared Sub main()

        Dim frm As New GetLimitsForm

        frm.Show()
        System.Windows.Forms.Application.Run()

    End Sub

    'Proprit d'initialisation du dialogue API
    Public Property InitialiseDialogue() As String

        Get
            Return lReply.ToString
        End Get

        Set(ByVal sValue As String)
            lReply = serveur.Initialise(sValue)
            If lReply <> 0 Then
                Throw New Exception("Problme d'initialisation")
            End If
        End Set

    End Property

    'Proprit qui permet d'obtenir les valeurs limites du grandissement
    Public Property GetLimits() As String

        Get
            Return String.Format("{0};{1}", oLimitInf, oLimitSup)
        End Get

        Set(ByVal sValue As String)
            lReply = serveur.GetLimits(sValue, oLimitInf, oLimitSup)
            If lReply <> 0 Then
                Me.Erreur(lReply)
            End If
        End Set

    End Property

    'Fonction qui classe les erreurs
    Public Sub Erreur(ByVal lReply As Integer)

        Select Case lReply
            Case 1000
                Throw New Exception("Impossible de transcrire un paramtre en identificateur")
            Case 1019
                Throw New Exception("API non initialis")
            Case 1022
                Throw New Exception("Impossible de rcuprer les limites")
            Case Else
                Throw New Exception("Problme API")
        End Select

    End Sub

End Class
